public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Amy Liffey" <amynka@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-crypt/eid-mw/files/, app-crypt/eid-mw/
Date: Thu,  2 Feb 2017 14:55:51 +0000 (UTC)	[thread overview]
Message-ID: <1486047309.cad92e97469bebb918f4b2e3e47b7a8e7cad381d.amynka@gentoo> (raw)

commit:     cad92e97469bebb918f4b2e3e47b7a8e7cad381d
Author:     Amy Liffey <amynka <AT> gentoo <DOT> org>
AuthorDate: Thu Feb  2 14:42:55 2017 +0000
Commit:     Amy Liffey <amynka <AT> gentoo <DOT> org>
CommitDate: Thu Feb  2 14:55:09 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cad92e97

app-crypt/eid-mw: ver bump 4.2.0 bug #607206. Vincent Hardy

Package-Manager: portage-2.3.0

 app-crypt/eid-mw/Manifest                         |  1 +
 app-crypt/eid-mw/eid-mw-4.2.0.ebuild              | 98 +++++++++++++++++++++++
 app-crypt/eid-mw/files/gtk_not_required_4_2.patch | 74 +++++++++++++++++
 app-crypt/eid-mw/metadata.xml                     |  3 +
 4 files changed, 176 insertions(+)

diff --git a/app-crypt/eid-mw/Manifest b/app-crypt/eid-mw/Manifest
index 0d8cca6..0bea827 100644
--- a/app-crypt/eid-mw/Manifest
+++ b/app-crypt/eid-mw/Manifest
@@ -1,3 +1,4 @@
 DIST eid-mw-4.1.18-v4.1.18.tar.gz 3480541 SHA256 abc9d3194008f05b2589ddd9a29c45d22d89716bdc8689fcec42b2aa8450ddbf SHA512 18825a06007f7c07609cee034896ebf64b589200e04b72fece2bd65004a738c01cf64475d59f2c94b7242aa1adfc433bf4af6cf8b5d809746f3e9357ac27b98c WHIRLPOOL 584817aff81a1e0b1af24e5b259fa7e40b5a43b27be701242430cdc480d8ba57205faeba6fb787f1321e02916e6f3efa722e01609151fa3798b8e37b13cb159e
 DIST eid-mw-4.1.4-v4.1.4.tar.gz 3475913 SHA256 2996960ea92504c7cee1953ccf4520ba78979c7771645e2b2c1207f94be0a308 SHA512 efcc4dbd0fa383896df9f5a7492b18beb5259cfa368a919ae18bd996e5976a67d0570c0fbccd5ab38ea95c31f48b92c145c526aa59866217a418a80a550d502f WHIRLPOOL 11e35b3649a0c3bd40e4c901ba4d922305dc2b4098018bd018ee71b963b08898e6295e4f71cb7180b0fc8e64d1afe01ce49bcaa36a60c065c2de84b81d19e398
 DIST eid-mw-4.1.9-v4.1.9.tar.gz 3475708 SHA256 0c46c73b805884dd4ae739eb6025c137c1055ad119eac1ab37cb83eb32d92953 SHA512 bc61b3f212bfedf6f47f2841bc6c9b1198be5e3c7b382e3e28635c9e6f5c4ed8ccb118b105f668969fba31e49750cb1c5b129cd5b67a2725af122a8eae491b1c WHIRLPOOL 06b1f9780e984ac6c562bacab03936cd759ea1fce45687f09ae314d4fa77edce02c7ba4db5a9bc3fd739392f8b7b182b19b2734c1d21d63f6995c3cd572695d9
+DIST eid-mw-4.2.0.tar.gz 8508064 SHA256 4d86f4750f973a8dcf700544b92ffc3069a85ff93086538b9f334d76dd5c9747 SHA512 c0785e25c8b3640d0b60110553a520df3c3c5a0774f4f3fba6a4d9329c0d6e6187b0837d8c254a3959ffa798dc6299399e6cb8edfc7a20dabca080b61f532a5f WHIRLPOOL b1dee0c0a1800b81a7f392bc0e13d070a1cbc7fa6eb2f26e9c50903e058f322ff0b2da69469f90bd38240f49520be29bb548ca6954bc052ef5b23bdb4cad2643

diff --git a/app-crypt/eid-mw/eid-mw-4.2.0.ebuild b/app-crypt/eid-mw/eid-mw-4.2.0.ebuild
new file mode 100644
index 00000000..2ff1843
--- /dev/null
+++ b/app-crypt/eid-mw/eid-mw-4.2.0.ebuild
@@ -0,0 +1,98 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit eutils autotools mozextension
+
+if [[ ${PV} == "9999" ]] ; then
+	EGIT_REPO_URI="git://github.com/Fedict/${PN}.git
+		https://github.com/Fedict/${PN}.git"
+	inherit git-r3
+	SRC_URI=""
+else
+	SRC_URI="https://codeload.github.com/fedict/${PN}/tar.gz/v${PV} ->
+	${P}.tar.gz"
+	KEYWORDS="~x86 ~amd64 ~arm"
+fi
+
+SLOT="0"
+LICENSE="LGPL-3"
+DESCRIPTION="Electronic Identity Card middleware supplied by the Belgian Federal Government"
+
+HOMEPAGE="http://eid.belgium.be"
+
+IUSE="+dialogs +gtk p11-kit +xpi"
+
+REQUIRED_USE="
+	dialogs? ( gtk )"
+
+RDEPEND="gtk? (
+		x11-libs/gtk+:*
+		dev-libs/libxml2
+		net-misc/curl[ssl]
+		net-libs/libproxy
+		!app-misc/eid-viewer-bin
+	)
+	>=sys-apps/pcsc-lite-1.2.9
+	p11-kit? ( app-crypt/p11-kit )
+	xpi? ( || ( >=www-client/firefox-bin-3.6.24
+		>=www-client/firefox-3.6.20 ) )"
+
+DEPEND="${RDEPEND}
+	virtual/pkgconfig"
+
+src_prepare() {
+	eapply_user
+
+	sed -i -e 's:/beid/rsaref220:/rsaref220:' configure.ac || die
+	sed -i -e 's:/beid::' cardcomm/pkcs11/src/libbeidpkcs11.pc.in || die
+
+	# hardcoded lsb_info
+	sed -i \
+		-e "s:get_lsb_info('i'):strdup(_(\"Gentoo\")):" \
+		-e "s:get_lsb_info('r'):strdup(_(\"n/a\")):" \
+		-e "s:get_lsb_info('c'):strdup(_(\"n/a\")):" \
+		plugins_tools/aboutmw/gtk/about-main.c || die
+
+	if [[ ${PV} == "9999" ]] ; then
+		use gtk || eapply "${FILESDIR}"/gtk_not_required_9999.patch
+	else
+		use gtk || eapply "${FILESDIR}"/gtk_not_required_4_2.patch
+	fi
+
+	eautoreconf
+}
+
+src_configure() {
+	econf \
+		$(use_enable dialogs) \
+		$(use_enable p11-kit p11kit) \
+		--with-gnu-ld \
+		--disable-static \
+		--disable-signed
+}
+
+src_install() {
+	emake DESTDIR="${D}" install
+
+	if use xpi; then
+		declare MOZILLA_FIVE_HOME
+		if has_version '>=www-client/firefox-3.6.20'; then
+			MOZILLA_FIVE_HOME="/usr/$(get_libdir)/firefox"
+			xpi_install "${D}/usr/share/mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}/belgiumeid@eid.belgium.be"
+		fi
+		if has_version '>=www-client/firefox-bin-3.6.24'; then
+			MOZILLA_FIVE_HOME="/opt/firefox"
+			xpi_install "${D}/usr/share/mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}/belgiumeid@eid.belgium.be"
+		fi
+	fi
+	rm -r "${D}/usr/share/mozilla" "${D}"/usr/$(get_libdir)/*.la || die
+	use gtk || rm -r "${D}/usr/include/eid-util" || die
+}
+
+pkg_postinst()
+{
+	use gtk && glib-compile-schemas /usr/share/glib-2.0/schemas/
+}

diff --git a/app-crypt/eid-mw/files/gtk_not_required_4_2.patch b/app-crypt/eid-mw/files/gtk_not_required_4_2.patch
new file mode 100644
index 00000000..7990aca
--- /dev/null
+++ b/app-crypt/eid-mw/files/gtk_not_required_4_2.patch
@@ -0,0 +1,74 @@
+diff --git a/Makefile.am b/Makefile.am
+index de5416f..8e55277 100644
+--- a/Makefile.am
++++ b/Makefile.am
+@@ -1,7 +1,7 @@
+ ACLOCAL_AMFLAGS = -I scripts/m4
+ EXTRA_DIST = scripts/build-aux/config.rpath  debian rpm doc
+ 
+-SUBDIRS=cardcomm/pkcs11/src doc/sdk/include/rsaref220 plugins_tools/util tests/unit plugins_tools/xpi plugins_tools/aboutmw/gtk plugins_tools/eid-viewer
++SUBDIRS=cardcomm/pkcs11/src doc/sdk/include/rsaref220 plugins_tools/util tests/unit plugins_tools/xpi 
+ 
+ xpipackage:
+ 	$(MAKE) -C plugins_tools/xpi xpipackage
+diff --git a/cardcomm/pkcs11/src/Makefile.am b/cardcomm/pkcs11/src/Makefile.am
+index 6e33315..fce4494 100644
+--- a/cardcomm/pkcs11/src/Makefile.am
++++ b/cardcomm/pkcs11/src/Makefile.am
+@@ -165,8 +165,6 @@ libbeidpkcs11_la_SOURCES += \
+ 	dialogs/dialogsgtk/single_dialog.c
+ endif
+ 
+-libexec_PROGRAMS = beid-askpin beid-changepin beid-badpin beid-askaccess beid-spr-askpin beid-spr-changepin
+-
+ if P11KIT
+ dist_p11kitcf_DATA = beid.module
+ install-exec-hook:
+@@ -176,28 +174,4 @@ install-exec-hook:
+ 		$(LN_S) $(libdir)/libbeidpkcs11.so.0 beidpkcs11.so
+ endif
+ 
+-beid_askpin_SOURCES = dialogs/dialogsgtk/parent.c dialogs/dialogsgtk/beid-askpin.c
+-beid_askpin_CPPFLAGS = -I$(srcdir)/dialogsgtk -I$(srcdir)/../common/src -I$(srcdir)/src @GTK_CFLAGS@
+-beid_askpin_LDADD = @GTK_LIBS@
+-
+-beid_changepin_SOURCES = dialogs/dialogsgtk/parent.c dialogs/dialogsgtk/beid-changepin.c
+-beid_changepin_CPPFLAGS = -I$(dialogsdir)/dialogsgtk -I$(dialogsdir)/../common/dialogs -I$(dialogsdir)/dialogs @GTK_CFLAGS@
+-beid_changepin_LDADD = @GTK_LIBS@
+-
+-beid_badpin_SOURCES = dialogs/dialogsgtk/parent.c dialogs/dialogsgtk/beid-badpin.c
+-beid_badpin_CPPFLAGS = -I$(dialogsdir)/dialogsgtk -I$(dialogsdir)/../common/dialogs -I$(dialogsdir)/dialogs @GTK_CFLAGS@
+-beid_badpin_LDADD = @GTK_LIBS@
+-
+-beid_askaccess_SOURCES = dialogs/dialogsgtk/parent.c dialogs/dialogsgtk/beid-askaccess.c
+-beid_askaccess_CPPFLAGS = -I$(dialogsdir)/dialogsgtk -I$(dialogsdir)/../common/dialogs -I$(dialogsdir)/dialogs @GTK_CFLAGS@
+-beid_askaccess_LDADD = @GTK_LIBS@
+-
+-beid_spr_askpin_SOURCES = dialogs/dialogsgtk/parent.c dialogs/dialogsgtk/beid-spr-askpin.c
+-beid_spr_askpin_CPPFLAGS = -I$(dialogsdir)/dialogsgtk -I$(dialogsdir)/../common/dialogs -I$(dialogsdir)/dialogs @GTK_CFLAGS@
+-beid_spr_askpin_LDADD = @GTK_LIBS@
+-
+-beid_spr_changepin_SOURCES = dialogs/dialogsgtk/parent.c dialogs/dialogsgtk/beid-spr-changepin.c
+-beid_spr_changepin_CPPFLAGS = -I$(dialogsdir)/dialogsgtk -I$(dialogsdir)/../common/dialogs -I$(dialogsdir)/dialogs @GTK_CFLAGS@
+-beid_spr_changepin_LDADD = @GTK_LIBS@
+-
+ pkgconfig_DATA=libbeidpkcs11.pc
+diff --git a/configure.ac b/configure.ac
+index 92bbb3b..a47e7c2 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -59,14 +59,6 @@ fi
+ 
+ AC_DEFINE_UNQUOTED([HAVE_GTK], [$have_gtk], [Set to major version of libgtk])
+ 
+-if test "$have_gtk" = "no"
+-then
+-	AC_MSG_ERROR([At least one version of GTK is required.])
+-fi
+-
+-PKG_CHECK_MODULES([XML2], [libxml-2.0])
+-PKG_CHECK_MODULES([libproxy], [libproxy-1.0])
+-
+ ###########################################################################
+ ####### read user-specific requests from --enable directives         ######
+ ###########################################################################

diff --git a/app-crypt/eid-mw/metadata.xml b/app-crypt/eid-mw/metadata.xml
index a0a9188..9cc3204 100644
--- a/app-crypt/eid-mw/metadata.xml
+++ b/app-crypt/eid-mw/metadata.xml
@@ -28,5 +28,8 @@ These three functions form the basis of the countless applications for your eID.
    <flag name="xpi">
     Build and install an extension for Mozilla browsers.
   </flag>
+  <flag name="p11-kit">
+    Support for app-crypt/p11-kit.
+  </flag>
 </use>
 </pkgmetadata>


             reply	other threads:[~2017-02-02 14:55 UTC|newest]

Thread overview: 9+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-02-02 14:55 Amy Liffey [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-10 13:58 [gentoo-commits] repo/gentoo:master commit in: app-crypt/eid-mw/files/, app-crypt/eid-mw/ Amy Liffey
2021-01-03 20:55 Amy Liffey
2017-06-28  8:15 Amy Liffey
2017-04-12 17:02 Amy Liffey
2017-02-02 15:33 Amy Liffey
2015-11-14 14:59 Ian Delaney
2015-11-09  2:55 Ian Delaney
2015-08-16 18:16 Sven Vermeulen

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1486047309.cad92e97469bebb918f4b2e3e47b7a8e7cad381d.amynka@gentoo \
    --to=amynka@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox